# fmgr_fwobj_ippool6 – Allows the editing of IP Pool Objects within FortiManager

New in version 2.8.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Allows users to add/edit/delete IPv6 Pool Objects.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
adom - | Default: "root" | The ADOM the configuration should belong to.
comments - |  | Comment.

dynamic_mapping
-

EXPERTS ONLY! KNOWLEDGE OF FMGR JSON API IS REQUIRED!
List of multiple child objects to be added. Expects a list of dictionaries.
Dictionaries must use FortiManager API parameters, not the ansible ones listed below.
If submitted, all other prefixed sub-parameters ARE IGNORED.
This object is MUTUALLY EXCLUSIVE with its options.
We expect that you know what you are doing with these list parameters, and are leveraging the JSON API Guide.
WHEN IN DOUBT, USE THE SUB OPTIONS BELOW INSTEAD TO CREATE OBJECTS WITH MULTIPLE TASKS

dynamic_mapping_comments - |  | Dynamic Mapping clone of original suffixed parameter.
dynamic_mapping_endip - |  | Dynamic Mapping clone of original suffixed parameter.
dynamic_mapping_startip - |  | Dynamic Mapping clone of original suffixed parameter.
endip - |  | Final IPv6 address (inclusive) in the range for the address pool.

mode
-

Choices:
- add ←
- set
- delete
- update

Sets one of three modes for managing the object.
Allows use of soft-adds instead of overwriting existing values

name - |  | IPv6 IP pool name.
startip - |  | First IPv6 address (inclusive) in the range for the address pool.

## Notes

Note

- Full Documentation at https://ftnt-ansible-docs.readthedocs.io/en/latest/.

## Examples

    - name: ADD FMGR_FIREWALL_IPPOOL6
      fmgr_firewall_ippool6:
        mode: "add"
        adom: "ansible"
        startip:
        name: "IPv6 IPPool"
        endip:
        comments: "Created by Ansible"

    - name: DELETE FMGR_FIREWALL_IPPOOL6
      fmgr_firewall_ippool6:
        mode: "delete"
        adom: "ansible"
        name: "IPv6 IPPool"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
api_result string | always | full API response, includes status code and message

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Luke Weighall (@lweighall)

- Andrew Welsh (@Ghilli3)

- Jim Huber (@p4r4n0y1ng)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.